# fit
`crowdkit.aggregation.image_segmentation.segmentation_rasa.SegmentationRASA.fit` | [Source code](https://github.com/Toloka/crowd-kit/blob/v1.0.0/crowdkit/aggregation/image_segmentation/segmentation_rasa.py#L105)

```python
fit(self, data: DataFrame)
```

Fit the model.

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`data`|**DataFrame**|<p>Workers&#x27; segmentations. A pandas.DataFrame containing `worker`, `task` and `segmentation` columns&#x27;.</p>

* **Returns:**

  self.

* **Return type:**

  [SegmentationRASA](crowdkit.aggregation.image_segmentation.segmentation_rasa.SegmentationRASA.md)
